<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combust_rif_defs::rif_flow_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacecombust__rif__defs.html">combust_rif_defs</a></li><li class="navelem"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html">rif_flow_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structcombust__rif__defs_1_1rif__flow__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">combust_rif_defs::rif_flow_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for combust_rif_defs::rif_flow_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structcombust__rif__defs_1_1rif__flow__t__coll__graph.png" border="0" usemap="#combust__rif__defs_1_1rif__flow__t_coll__map" alt="Collaboration graph"/></div>
<map name="combust__rif__defs_1_1rif__flow__t_coll__map" id="combust__rif__defs_1_1rif__flow__t_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad2822db97b3316f1dec1d43f5fbfb2d7"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#ad2822db97b3316f1dec1d43f5fbfb2d7">sc_name</a></td></tr>
<tr class="separator:ad2822db97b3316f1dec1d43f5fbfb2d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa098fa0092bed3a49fe2a14f58242f8b"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#aa098fa0092bed3a49fe2a14f58242f8b">update_bounds</a></td></tr>
<tr class="separator:aa098fa0092bed3a49fe2a14f58242f8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42dfad26b32beb0c83ad059508cbed11"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a42dfad26b32beb0c83ad059508cbed11">type</a></td></tr>
<tr class="separator:a42dfad26b32beb0c83ad059508cbed11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60424ad335136fd83490cbc44ff8a885"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a60424ad335136fd83490cbc44ff8a885">sc</a></td></tr>
<tr class="separator:a60424ad335136fd83490cbc44ff8a885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a29969008040dc5cd36ac47857d6853"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a0a29969008040dc5cd36ac47857d6853">sc_var</a></td></tr>
<tr class="separator:a0a29969008040dc5cd36ac47857d6853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c2f8f24da560a5f755689773ac4819d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a5c2f8f24da560a5f755689773ac4819d">sc_chi</a></td></tr>
<tr class="separator:a5c2f8f24da560a5f755689773ac4819d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac874429825b0438525432d87492af915"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#ac874429825b0438525432d87492af915">min_val</a></td></tr>
<tr class="separator:ac874429825b0438525432d87492af915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3afb45d599148c991cd00e377010a40"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#ad3afb45d599148c991cd00e377010a40">max_val</a></td></tr>
<tr class="separator:ad3afb45d599148c991cd00e377010a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf3bd4ba7a54e08c8480b18a2e7ad792"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#abf3bd4ba7a54e08c8480b18a2e7ad792">deltai</a></td></tr>
<tr class="separator:abf3bd4ba7a54e08c8480b18a2e7ad792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bfab5b38ac76afd3753c53802eb22a9"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a4bfab5b38ac76afd3753c53802eb22a9">chi_min_all</a></td></tr>
<tr class="separator:a4bfab5b38ac76afd3753c53802eb22a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0dd26162d523d4a1e8b9fa5319d98e"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__rif__defs_1_1rif__flow__t.html#a8c0dd26162d523d4a1e8b9fa5319d98e">chi_max_all</a></td></tr>
<tr class="separator:a8c0dd26162d523d4a1e8b9fa5319d98e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8c0dd26162d523d4a1e8b9fa5319d98e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c0dd26162d523d4a1e8b9fa5319d98e">&#9670;&nbsp;</a></span>chi_max_all</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) combust_rif_defs::rif_flow_t::chi_max_all</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bfab5b38ac76afd3753c53802eb22a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bfab5b38ac76afd3753c53802eb22a9">&#9670;&nbsp;</a></span>chi_min_all</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) combust_rif_defs::rif_flow_t::chi_min_all</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abf3bd4ba7a54e08c8480b18a2e7ad792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf3bd4ba7a54e08c8480b18a2e7ad792">&#9670;&nbsp;</a></span>deltai</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) combust_rif_defs::rif_flow_t::deltai</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3afb45d599148c991cd00e377010a40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3afb45d599148c991cd00e377010a40">&#9670;&nbsp;</a></span>max_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) combust_rif_defs::rif_flow_t::max_val</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac874429825b0438525432d87492af915"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac874429825b0438525432d87492af915">&#9670;&nbsp;</a></span>min_val</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) combust_rif_defs::rif_flow_t::min_val</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60424ad335136fd83490cbc44ff8a885"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60424ad335136fd83490cbc44ff8a885">&#9670;&nbsp;</a></span>sc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer combust_rif_defs::rif_flow_t::sc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c2f8f24da560a5f755689773ac4819d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c2f8f24da560a5f755689773ac4819d">&#9670;&nbsp;</a></span>sc_chi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer combust_rif_defs::rif_flow_t::sc_chi</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2822db97b3316f1dec1d43f5fbfb2d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2822db97b3316f1dec1d43f5fbfb2d7">&#9670;&nbsp;</a></span>sc_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) combust_rif_defs::rif_flow_t::sc_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a29969008040dc5cd36ac47857d6853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a29969008040dc5cd36ac47857d6853">&#9670;&nbsp;</a></span>sc_var</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer combust_rif_defs::rif_flow_t::sc_var</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42dfad26b32beb0c83ad059508cbed11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42dfad26b32beb0c83ad059508cbed11">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer combust_rif_defs::rif_flow_t::type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa098fa0092bed3a49fe2a14f58242f8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa098fa0092bed3a49fe2a14f58242f8b">&#9670;&nbsp;</a></span>update_bounds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical combust_rif_defs::rif_flow_t::update_bounds</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="combust__rif__mduc__defs_8f90.html">combust_rif_mduc_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
